part of 'generated.dart';

class DeactivateWorkforceVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeactivateWorkforceVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeactivateWorkforceData> dataDeserializer = (dynamic json)  => DeactivateWorkforceData.fromJson(jsonDecode(json));
  Serializer<DeactivateWorkforceVariables> varsSerializer = (DeactivateWorkforceVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeactivateWorkforceData, DeactivateWorkforceVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeactivateWorkforceData, DeactivateWorkforceVariables> ref() {
    DeactivateWorkforceVariables vars= DeactivateWorkforceVariables(id: id,);
    return _dataConnect.mutation("deactivateWorkforce", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeactivateWorkforceWorkforceUpdate {
  final String id;
  DeactivateWorkforceWorkforceUpdate.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeactivateWorkforceWorkforceUpdate otherTyped = other as DeactivateWorkforceWorkforceUpdate;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeactivateWorkforceWorkforceUpdate({
    required this.id,
  });
}

@immutable
class DeactivateWorkforceData {
  final DeactivateWorkforceWorkforceUpdate? workforce_update;
  DeactivateWorkforceData.fromJson(dynamic json):
  
  workforce_update = json['workforce_update'] == null ? null : DeactivateWorkforceWorkforceUpdate.fromJson(json['workforce_update']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeactivateWorkforceData otherTyped = other as DeactivateWorkforceData;
    return workforce_update == otherTyped.workforce_update;
    
  }
  @override
  int get hashCode => workforce_update.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (workforce_update != null) {
      json['workforce_update'] = workforce_update!.toJson();
    }
    return json;
  }

  DeactivateWorkforceData({
    this.workforce_update,
  });
}

@immutable
class DeactivateWorkforceVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeactivateWorkforceVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeactivateWorkforceVariables otherTyped = other as DeactivateWorkforceVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeactivateWorkforceVariables({
    required this.id,
  });
}

